Subject: Re: 64share v2

From: Lorenzo Colitti <[email-masked]>
Date: Thu, 12 Nov 2020 10:33:29 +0900

On Thu, Nov 12, 2020 at 5:21 AM Brian E Carpenter <
[email-masked]> wrote:

> I disagree. The reality is that 3GPP has already overridden the intention
> of RFC4861 by misusing an RA/PIO as a prefix delegation mechanism. That's
> a clever trick, but it is a trick, and Cameron's proposal simply extends
> that trick a bit.
>

That's incorrect. 3GPP used RFC4861 as the IETF asked it to use it - to
assign a /64 to the phone because a single /128 was not enough. The phone
is free to use as many interface IDs within that /64 as it wants.

If you're referring to RFC 7278 (which is an IETF document, not a 3GPP
one), then I don't see how that conflicts with the intention of RFC 4861.
All interface IDs are still 64 bits. It's conceptually the same as saying
that the /64 is actually on the phone's downlink interface, and the phone's
uplink interface is unnumbered.